### Enumeration

# Cogl PipelineCullFaceMode

#### Declaration

    enum Cogl.PipelineCullFaceMode

#### Description [src]

Specifies which faces should be culled. This can be set on a pipeline using cogl_pipeline_set_cull_face_mode().

#### Members

`COGL_PIPELINE_CULL_FACE_MODE_NONE`

  Neither face will be culled. This is the default.

  - Value: `0`
  - Available since: 16
`COGL_PIPELINE_CULL_FACE_MODE_FRONT`

  Front faces will be culled.

  - Value: `1`
  - Available since: 16
`COGL_PIPELINE_CULL_FACE_MODE_BACK`

  Back faces will be culled.

  - Value: `2`
  - Available since: 16
`COGL_PIPELINE_CULL_FACE_MODE_BOTH`

  All faces will be culled.

  - Value: `3`
  - Available since: 16